Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet.query.impl
Class QueryResultsImpl

    java.lang.Object
      org.mindswap.pellet.query.impl.QueryResultsImpl

All Implemented Interfaces:
  QueryResults

Direct Known Subclasses:
  MultiQueryResults

    public class QueryResultsImpl

extends java.lang.Object
implements QueryResults

Author:
  Evren Sirin

Constructor Summary
`QueryResultsImpl(Query query)`

Method Summary
`void` | `add(QueryResultBinding binding)`
`boolean` | `contains(QueryResultBinding binding)`
`QueryResultBinding` | `get(int index)`
`Query` | `getQuery()`
`java.util.List` | `getResultVars()`
`boolean` | `isEmpty()`
`int` | `size()`
`java.lang.String` | `toString()`
`TableData` | `toTable()`
`TableData` | `toTable(boolean formatHTML)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### QueryResultsImpl

    public QueryResultsImpl(Query query)

Method Detail

### add

    public void add(QueryResultBinding binding)

  Specified by:
    `add` in interface `QueryResults`

### contains

    public boolean contains(QueryResultBinding binding)

  Specified by:
    `contains` in interface `QueryResults`

### get

    public QueryResultBinding get(int index)

  Specified by:
    `get` in interface `QueryResults`

### size

    public int size()

  Specified by:
    `size` in interface `QueryResults`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `QueryResults`

### getQuery

    public Query getQuery()

  Specified by:
    `getQuery` in interface `QueryResults`

### getResultVars

    public java.util.List getResultVars()

  Specified by:
    `getResultVars` in interface `QueryResults`

### toTable

    public TableData toTable()

  Specified by:
    `toTable` in interface `QueryResults`

### toTable

    public TableData toTable(boolean formatHTML)

  Specified by:
    `toTable` in interface `QueryResults`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.